Skip to content

Access

All operations require authentication.

3 operationsv1/xdsl · /xdsl/{serviceName}
Agent setup

List xDSL accessesProduction

GET
/1.0/xdsl

Returns the names of the xDSL accesses of the account. Each name is the serviceName used by the other xDSL calls.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/xdsl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}

Returns the access type, address, status, provider, NRA, pack name, IPv6 and mail sending status, monitoring, LNS rate limit, mean time to repair and capabilities.

Path parameters

serviceName
required
string

Service name

Response

200AccessWithIAMsuccessful operation
accessName
read-only
string
—
accessType
read-only
DslTypeEnum

Possible copper or fiber technologies

Valuesadslftteftthfttosdslvdsl
address
read-only
AddressDetail

All components of an address

capabilities
read-only
AccessCapabilities

Describe the capabilities of the Access

description
string
—
iam
read-only
ResourceMetadata

IAM resource metadata

ipv6Enabled
read-only
boolean
—
lnsRateLimit
integer

Rate limit on the LNS in kbps - Only available if canApplyLnsRateLimit capability is set to true - Must be a multiple of 64 - Min value 64 / Max value 100032

mailSending
read-only
mailSendingAccessStatusEnum

Status of mail sending on the Access

ValuesblockedForSpamdisabledenabled
modemProfile
read-only
modemConnectionProfileEnum

Get modem profile connection linked to the access

ValuesABCD
monitoring
boolean

Whether or not this access is monitored

mttr
read-only
GtrEnum

Get the Mean Time To Repair (MTTR) of the access

Values10ho20m_10ho20m_4ho4hno4ho5m_10ho5m_4hodplus1none
nra
read-only
string
—
packName
read-only
string

Pack name, if access is in a pack

pairsNumber
read-only
integer
—
provider
read-only
ProviderEnum

The provider

ValuesaxionebouyguesftftBySfrkosckoscDegovhsfr
providerInfra
read-only
string

The provider of the infrastructure, if applicable

role
read-only
AccessRoleEnum

Available access roles

Valuesbackupmain
status
read-only
AccessStatusEnum

Status of the access

ValuesactivecancelledclosedeletingdoingmigrationslammingterminatedupgradeOffer

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessName": "string", "accessType": "adsl", "address": { "building": "string", "city": "string", "door": "string", "firstName": "string", "floor": "string", "inseeCode": "string", "lastName": "string", "numberStreet": "string", "residence": "string", "rivoliCode": "string", "stairs": "string", "street": "string", "zipCode": "string" }, "capabilities": { "canApplyLnsRateLimit": true, "canChangeDslamProfile": true, "canChangeLns": true, "canGetRadiusConnectionLogs": true, "canResetDslamPort": true, "hasDslamPort": true }, "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipv6Enabled": true, "lnsRateLimit": 0, "mailSending": "blockedForSpam", "modemProfile": "A", "monitoring": true, "mttr": "10ho", "nra": "string", "packName": "string", "pairsNumber": 0, "provider": "axione", "providerInfra": "string", "role": "backup", "status": "active"}

Update an xDSL accessProduction

PUT
/1.0/xdsl/{serviceName}

Changes the settings that can be modified: the customer description, the monitoring and the LNS rate limit.

Path parameters

serviceName
required
string

Service name

Request body (required)

accessName
read-only
string
—
accessType
read-only
DslTypeEnum

Possible copper or fiber technologies

Valuesadslftteftthfttosdslvdsl
address
read-only
AddressDetail

All components of an address

capabilities
read-only
AccessCapabilities

Describe the capabilities of the Access

description
string
—
ipv6Enabled
read-only
boolean
—
lnsRateLimit
integer

Rate limit on the LNS in kbps - Only available if canApplyLnsRateLimit capability is set to true - Must be a multiple of 64 - Min value 64 / Max value 100032

mailSending
read-only
mailSendingAccessStatusEnum

Status of mail sending on the Access

ValuesblockedForSpamdisabledenabled
modemProfile
read-only
modemConnectionProfileEnum

Get modem profile connection linked to the access

ValuesABCD
monitoring
boolean

Whether or not this access is monitored

mttr
read-only
GtrEnum

Get the Mean Time To Repair (MTTR) of the access

Values10ho20m_10ho20m_4ho4hno4ho5m_10ho5m_4hodplus1none
nra
read-only
string
—
packName
read-only
string

Pack name, if access is in a pack

pairsNumber
read-only
integer
—
provider
read-only
ProviderEnum

The provider

ValuesaxionebouyguesftftBySfrkosckoscDegovhsfr
providerInfra
read-only
string

The provider of the infrastructure, if applicable

role
read-only
AccessRoleEnum

Available access roles

Valuesbackupmain
status
read-only
AccessStatusEnum

Status of the access

ValuesactivecancelledclosedeletingdoingmigrationslammingterminatedupgradeOffer

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"